 @-webkit-keyframes circlemove1 {
     0% {
         bottom: 50%;
         left: 0%;
         right: 50%;
         top: 0%;
         background-color: $preloader-color-1;
     }
     25% {
         bottom: 50%;
         left: 50%;
         right: 0%;
         top: 0%;
         background-color: $preloader-color-2;
     }
     50% {
         bottom: 0%;
         left: 50%;
         right: 0%;
         top: 50%;
         background-color: $preloader-color-1;
     }
     75% {
         bottom: 0%;
         left: 0%;
         right: 50%;
         top: 50%;
         background-color: $preloader-color-2;
     }
 }
 
 @keyframes circlemove1 {
     0% {
         bottom: 50%;
         left: 0%;
         right: 50%;
         top: 0%;
         background-color: $preloader-color-1;
     }
     25% {
         bottom: 50%;
         left: 50%;
         right: 0%;
         top: 0%;
         background-color: $preloader-color-2;
     }
     50% {
         bottom: 0%;
         left: 50%;
         right: 0%;
         top: 50%;
         background-color: $preloader-color-1;
     }
     75% {
         bottom: 0%;
         left: 0%;
         right: 50%;
         top: 50%;
         background-color: $preloader-color-2;
     }
 }
 
 @-webkit-keyframes circlemove2 {
     0% {
         bottom: 0%;
         left: 50%;
         right: 0%;
         top: 50%;
         background-color: $preloader-color-2;
     }
     25% {
         bottom: 0%;
         left: 0%;
         right: 50%;
         top: 50%;
         background-color: $preloader-color-1;
     }
     50% {
         bottom: 50%;
         left: 0%;
         right: 50%;
         top: 0%;
         background-color: $preloader-color-2;
     }
     75% {
         bottom: 50%;
         left: 50%;
         right: 0%;
         top: 0%;
         background-color: $preloader-color-1;
     }
 }
 
 @keyframes circlemove2 {
     0% {
         bottom: 0%;
         left: 50%;
         right: 0%;
         top: 50%;
         background-color: $preloader-color-2;
     }
     25% {
         bottom: 0%;
         left: 0%;
         right: 50%;
         top: 50%;
         background-color: $preloader-color-1;
     }
     50% {
         bottom: 50%;
         left: 0%;
         right: 50%;
         top: 0%;
         background-color: $preloader-color-2;
     }
     75% {
         bottom: 50%;
         left: 50%;
         right: 0%;
         top: 0%;
         background-color: $preloader-color-1;
     }
 }
 
 .preloader {
     @include transition-duration(0.5s);
     @include transition-property(opacity, z-index);
     @include transition-timing(linear);
     background-color: $preloader-background;
     bottom: 0;
     left: 0;
     opacity: 1;
     position: fixed;
     right: 0;
     top: 0;
     z-index: 9999;
     .circle {
         bottom: 0;
         height: 80px;
         left: 0;
         margin: auto;
         position: absolute;
         right: 0;
         top: 0;
         width: 80px;
         &::before,
         &::after {
             @include animation-duration(2s);
             @include animation-iteration-count(infinite);
             @include animation-timing-function(cubic-bezier(.65, .05, .36, 1));
             border-radius: 50%;
             content: "";
             position: absolute;
         }
         &::before {
             @include animation-name(circlemove1);
             background-color: $preloader-color-1;
             bottom: 50%;
             left: 0%;
             right: 50%;
             top: 0%;
         }
         &::after {
             @include animation-name(circlemove2);
             background-color: $preloader-color-2;
             bottom: 0%;
             left: 50%;
             right: 0%;
             top: 50%;
         }
     }
     &.disable {
         opacity: 0;
         z-index: -9999;
     }
     noscript {
         display: block;
         margin-left: 15px;
         margin-right: 15px;
         margin-top: 30px;
         text-align: center;
     }
 }